Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.model
Class MiningMartConcepts

    java.lang.Object
      org.musoft.limo.model.ModelElement
          org.musoft.limo.model.ModelFigureElement
              org.musoft.limo.model.Model
                  edu.udo.cs.miningmart.gui.model.MiningMartConcepts

    public class MiningMartConcepts

extends org.musoft.limo.model.Model

This is the parent model of the `ConceptEditor`.

Version:
  $Id: MiningMartConcepts.java,v 1.11 2006/09/27 15:00:00 euler Exp $
Author:
  Daniel Hakenjos

Constructor Summary
`MiningMartConcepts(MiningMartApplication app)` Creates new MiningMartConcepts.

Method Summary
`MiningMartConcept` | `addMiningMartConcept(org.musoft.limo.model.ModelFigureElement parent, MiningMartConcept concept)` Adds a `MiningMartConcept` to this `MiningMartConcepts`.
`MiningMartProjection` | `addMiningMartProjection(MiningMartProjection projection)`
`MiningMartRelation` | `addMiningMartRelation(MiningMartRelation relation)` Adds a `MiningMartRelation` to the `MiningMartConcepts`.
`MiningMartSubConcept` | `addSubConceptTransition(MiningMartSubConcept transition)` Adds the specified `MiningMartSubConcept` to this `MiningMartConcepts`.
`boolean` | `canAddChild(org.musoft.limo.model.ModelFigureElement child)`
`boolean` | `canDestroy()`
`boolean` | `canRemoveChild(org.musoft.limo.model.ModelFigureElement child)`
`boolean` | `canSetName(java.lang.String name)`
`boolean` | `canSetParent(org.musoft.limo.model.ModelFigureElement parent)`
`int` | `countListener()` Gets the listener count.
`MiningMartConcept` | `createMiningMartConcept(org.musoft.limo.model.ModelFigureElement parent, Concept concept, java.awt.Point point)` Creates a new `MiningMartConcept` with the specified parameters.
`MiningMartConcept` | `createMiningMartConcept(org.musoft.limo.model.ModelFigureElement parent, java.lang.String name, java.awt.Point point, java.lang.String type)` Creates a new `MiningMartConcept` with the specified parameters.
`MiningMartProjection` | `createMiningMartProjection(Projection projection, MiningMartConcept from, MiningMartConcept to)`
`MiningMartProjection` | `createMiningMartProjection(java.lang.String name, MiningMartConcept from, MiningMartConcept to)`
`MiningMartRelation` | `createMiningMartRelation(Relation relation, MiningMartConcept start, MiningMartConcept end)` Creates a new `MiningMartRelation` with the specified parameters.
`MiningMartRelation` | `createMiningMartRelation(java.lang.String name, MiningMartConcept fromconcept, MiningMartConcept toconcept)` Creates a new `MiningMartRelation` with the specified parameters.
`MiningMartSubConcept` | `createSubConceptTransition(java.lang.String name, MiningMartConcept superconcept, MiningMartConcept subconcept, boolean existsTransition)` Creates a new `MiningMartSubConcept`.
`void` | `destroy()`
`MiningMartApplication` | `getMMartApplication()` Gets the `MiningMartApplication`.
`org.musoft.limo.model.ModelListener` | `getModelListener(int index)` Gets the modellistener.
`java.lang.String` | `getType()`
`void` | `initConcepts()` Inits this `MiningMartConcepts`.
`void` | `setDirty(boolean dirty)` Sets the `MiningMartCase dirty.`

Methods inherited from class org.musoft.limo.model.Model
`addConnection, changed, getChildOrConnection, getConnection, getConnection, getConnectionCount, getConnections, getDirty, getElement, getRootModel, getValidConnectionName, indexOfConnection, indexOfConnection, removeConnection, removeConnection`

Methods inherited from class org.musoft.limo.model.ModelFigureElement
`addChild, canSetBounds, canSetPosition, clear, fireAddChild, fireCreateChild, fireCreateConnection, fireRemoveChild, fireSetParent, getBounds, getCenter, getChild, getChild, getChildCount, getChildren, getChildren, getChildren, getCorner, getFullName, getMaximumBounds, getMinimumBounds, getModel, getNeededBounds, getParent, getPosition, getValidChildName, indexOfChild, indexOfChild, isChildOf, layout, removeChild, setBounds, setBounds, setCenter, setIndex, setParent, setPosition, setPosition`

Methods inherited from class org.musoft.limo.model.ModelElement
`addAttribute, addAttributeNew, addListener, associationEndChanged, dump, fireDestroy, fireSetName, getAttribute, getAttribute, getAttributeCount, getListener, getListenerCount, getName, indexOfAttribute, primitiveAttributeChanged, removeListener, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MiningMartConcepts

    public MiningMartConcepts(MiningMartApplication app)

  Creates new MiningMartConcepts.

Method Detail

### getMMartApplication

    public MiningMartApplication getMMartApplication()

  Gets the `MiningMartApplication`.

### initConcepts

    public void initConcepts()

  Inits this `MiningMartConcepts`. It loads the concepts and relations between concepts.

### addMiningMartConcept

    public MiningMartConcept addMiningMartConcept(org.musoft.limo.model.ModelFigureElement parent,
                                                  MiningMartConcept concept)

  Adds a `MiningMartConcept` to this `MiningMartConcepts`.

### createSubConceptTransition

    public MiningMartSubConcept createSubConceptTransition(java.lang.String name,
                                                           MiningMartConcept superconcept,
                                                           MiningMartConcept subconcept,
                                                           boolean existsTransition)

  Creates a new `MiningMartSubConcept`.

  Parameters:
    `the` - name of the transition
    `superconcept` - the super `Concept`
    `subconcept` - the sub `Concept`
    `existsTransition` - if the transition exists then no new `TransitionFigure` is added.

### addSubConceptTransition

    public MiningMartSubConcept addSubConceptTransition(MiningMartSubConcept transition)

  Adds the specified `MiningMartSubConcept` to this `MiningMartConcepts`.

### countListener

    public int countListener()

  Gets the listener count.

### getModelListener

    public org.musoft.limo.model.ModelListener getModelListener(int index)

  Gets the modellistener.

### createMiningMartConcept

    public MiningMartConcept createMiningMartConcept(org.musoft.limo.model.ModelFigureElement parent,
                                                     java.lang.String name,
                                                     java.awt.Point point,
                                                     java.lang.String type)

  Creates a new `MiningMartConcept` with the specified parameters.

  Parameters:
    `parent` - the MiningMartConcept is child of this `ModelFigureElement`.
    `name` - the name of the `MiningMartConcept`
    `point` - the `MiningMartConcept` is placed at this point.
    `bounds` - the bounds of the figure.
  Returns:
    null if creating the MiningMartConcept is permitted

### createMiningMartConcept

    public MiningMartConcept createMiningMartConcept(org.musoft.limo.model.ModelFigureElement parent,
                                                     Concept concept,
                                                     java.awt.Point point)

  Creates a new `MiningMartConcept` with the specified parameters.

  Parameters:
    `parent` - the MiningMartConcept is child of this `ModelFigureElement`.
    `concept` - the created `MiningMartConcept` wrapps this `Concept`.
    `point` - the `MiningMartConcept` is placed at this point.
    `bounds` - the bounds of the `MiningMartConcept`.
  Returns:
    null if creating the MiningMartConcept is permitted

### addMiningMartRelation

    public MiningMartRelation addMiningMartRelation(MiningMartRelation relation)

  Adds a `MiningMartRelation` to the `MiningMartConcepts`.

### createMiningMartRelation

    public MiningMartRelation createMiningMartRelation(java.lang.String name,
                                                       MiningMartConcept fromconcept,
                                                       MiningMartConcept toconcept)

  Creates a new `MiningMartRelation` with the specified parameters.

  Parameters:
    `parent` - the MiningMartRelation is child of this `Model`.
    `name` - the name of the `MiningMartRelation`
    `start` - The MiningMartConcept containing the from-key of the `Relation`.
    `end` - The MiningMartConcept containing the to-key of the `Relation`.
  Returns:
    null if creating the MiningMartRelation is permitted

### createMiningMartRelation

    public MiningMartRelation createMiningMartRelation(Relation relation,
                                                       MiningMartConcept start,
                                                       MiningMartConcept end)

  Creates a new `MiningMartRelation` with the specified parameters.

  Parameters:
    `parent` - the MiningMartRelation is child of this `Model`.
    `chain` - the created `MiningMartRelation` wrapps this `Relation`.
    `start` - The MiningMartConcept containing the from-key of the `Relation`.
    `end` - The MiningMartConcept containing the to-key of the `Relation`.
  Returns:
    null if creating the MiningMartRelation is permitted

### addMiningMartProjection

    public MiningMartProjection addMiningMartProjection(MiningMartProjection projection)

### createMiningMartProjection

    public MiningMartProjection createMiningMartProjection(Projection projection,
                                                           MiningMartConcept from,
                                                           MiningMartConcept to)

### createMiningMartProjection

    public MiningMartProjection createMiningMartProjection(java.lang.String name,
                                                           MiningMartConcept from,
                                                           MiningMartConcept to)

### canAddChild

    public boolean canAddChild(org.musoft.limo.model.ModelFigureElement child)

  Overrides:
    `canAddChild` in class `org.musoft.limo.model.Model`

### canRemoveChild

    public boolean canRemoveChild(org.musoft.limo.model.ModelFigureElement child)

  Overrides:
    `canRemoveChild` in class `org.musoft.limo.model.Model`

### canSetParent

    public boolean canSetParent(org.musoft.limo.model.ModelFigureElement parent)

  Overrides:
    `canSetParent` in class `org.musoft.limo.model.ModelFigureElement`

### getType

    public java.lang.String getType()

  Overrides:
    `getType` in class `org.musoft.limo.model.ModelElement`

### canDestroy

    public boolean canDestroy()

  Overrides:
    `canDestroy` in class `org.musoft.limo.model.ModelElement`

### setDirty

    public void setDirty(boolean dirty)

  Sets the `MiningMartCase dirty.

  `
  Overrides:
    `setDirty` in class `org.musoft.limo.model.Model`
  See Also:
    `Model.setDirty(boolean)`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `org.musoft.limo.model.Model`

### canSetName

    public boolean canSetName(java.lang.String name)

  Overrides:
    `canSetName` in class `org.musoft.limo.model.ModelFigureElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005